Subject: Re: [Sigtran] V5UA RFC 3807: Stream Mapping: Possibly Unhandled Scenario

From: Saurabh Jain <[email-masked]>
Date: Wed, 25 Oct 2006 00:37:58 +0530

Hi Brian,

Although 2 streams are sufficient in most UAs.

However, in case of V5UA, RFC 3807, Section 3.  SCTP Stream Management says:

A single SCTP stream SHOULD be used for grouping all of the following protocols together: BCC, Link Control, Control and PSTN protocol on a  specific C-channel.

A separate SCTP stream SHOULD be used for the Protection protocol on a specific C-channel.

One SCTP stream SHOULD be used for all ISDN user ports on a specific C-channel.

One single stream SHOULD NOT be used to carry data of more than one C-channel.

In addition, one separate SCTP stream SHOULD be used for all MPH (link related) messages.

The interpretation of above para would be:

For each channel:  Stream 1: BCC, Link Control, Control & PSTN

Stream 2: Protection

Stream 3: ISDN user ports

Now a V5UA interface ID can have 3 possible C-channels (15, 16, 31) => 9 possible streams

+ 1 stream for all MPH messages => 10 streams

Also it is mandated that single stream "should not" carry data of more than one C channel => potentially 10 "separate" SCTP streams might be required, when ASP sends ASP Active to SG for a given Interface ID.

Hence the suggestion for introducing a new error code "Insufficient Resources"  in the Error (ERR) message in V5UA, which would be sent by an SG, if an ASP sends an ASP Active and the request is refused as SG does not have sufficient resources. (in this case insufficient SCTP streams).

NOTE: After receiving this Error Message, corrective action at ASP will have to be to re-establish the SCTP association with sufficient number of in/out streams.

rgds

Saurabh

-----"Brian F. G. Bidulock" <[email-masked]> wrote: -----

To: Saurabh Jain/HSS@HSS
From: "Brian F. G. Bidulock" <[email-masked]>
Date: 10/24/2006 09:54PM
cc: [email-masked]
Subject: Re: [Sigtran] V5UA RFC 3807: Stream Mapping: Possibly UnhandledScenario

Saurabh,

Two streams are sufficient.  When mapping to a data stream in any UA,
the mapping is distributed over the available data streams.  In the
case of two streams, all control messages are mapped to stream 0 and
all data messages are mapped to the same stream 1.

--brian

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

" DISCLAIMER: This message is proprietary to Flextronics Software Systems Limited (FSS) and is intended solely for the use of the individual to whom it is addressed. It may contain privileged or confidential information and should not be circulated or used for any purpose other than for what it is intended. If you have received this message in error, please notify the originator immediately. If you are not the intended recipient, you are notified that you are strictly prohibited from using, copying, altering, or disclosing the contents of this message. FSS accepts no responsibility for loss or damage arising from the use of the information transmitted by this email including damage from virus."

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 24 Oct 2006 18:28:49 -0600

Saurabh,

SHOULD not MUST.  2 streams are sufficient.  It is not an error to
place C-channels on the same stream.  If an implementation is worried
it should refuse to establish an SCTP association that does not have
sufficient streams to meet its operational objectives.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/